summaryrefslogtreecommitdiff
blob: 9b696a9bf337fef1d58a4bd787b6ff498f91bf5c (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
630
631
632
633
634
635
636
637
638
639
640
641
642
643
644
645
646
647
648
649
650
651
652
653
654
655
656
657
658
659
660
661
662
663
664
665
666
667
668
669
670
671
672
673
674
675
676
677
678
679
680
681
682
683
684
685
686
687
688
689
690
691
692
693
694
695
696
697
698
699
700
701
702
703
704
705
706
707
708
709
710
711
712
713
714
715
716
717
718
719
720
721
722
723
724
725
726
727
728
729
730
731
732
733
734
735
736
737
738
739
740
741
742
743
744
745
746
747
748
749
750
751
752
753
754
755
756
757
758
759
760
761
762
763
764
765
766
767
768
769
770
771
772
773
774
775
776
777
778
779
780
781
782
783
784
785
786
787
788
789
790
791
792
793
794
795
796
797
798
799
800
801
802
803
804
805
806
807
808
809
810
811
812
813
814
815
816
817
818
819
820
821
822
823
824
825
826
827
828
829
830
831
832
833
834
835
836
837
838
839
840
841
842
843
844
845
846
847
848
849
850
851
852
853
854
855
856
857
858
859
860
861
862
863
864
865
866
867
868
869
870
871
872
873
874
875
876
877
878
879
880
881
882
883
884
885
886
887
888
889
890
891
892
893
894
895
896
897
898
899
900
901
902
903
904
905
906
907
908
909
910
911
912
913
914
915
916
917
918
919
920
921
922
923
924
925
926
927
928
929
930
931
932
933
934
935
936
937
938
939
940
941
942
943
944
945
946
947
948
949
950
951
952
953
954
955
956
957
958
959
960
961
962
963
964
965
966
967
968
969
970
971
972
973
974
975
976
977
978
979
980
981
982
983
984
985
986
987
988
989
990
991
992
993
994
995
996
997
998
999
1000
1001
1002
1003
1004
1005
1006
1007
1008
1009
1010
1011
1012
1013
1014
1015
1016
1017
1018
1019
1020
1021
1022
1023
1024
1025
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

####################################################################
#
# When you add an entry to the top of this file, add your name, the date
# in the UTC timezone, and an explanation of why something is getting masked.
# Please be extremely careful not to commit atoms that are not valid, as it can
# cause large-scale breakage, especially if it ends up in the daily snapshot.
#
## Example:
##
## # Dev E. Loper <developer@gentoo.org> (2019-07-01)
## # Masking  these versions until we can get the
## # v4l stuff to work properly again
## =media-video/mplayer-0.90_pre5
## =media-video/mplayer-0.90_pre5-r1
#
# - Best last rites (removal) practices -
# Include the following info:
# a) reason for masking
# b) bug # for the removal (and yes you should have one)
# c) date of removal (either the date or "in x days")
#
## Example:
##
## # Dev E. Loper <developer@gentoo.org> (2019-07-01)
## # Masked for removal in 30 days.  Doesn't work
## # with new libfoo. Upstream dead, gtk-1, smells
## # funny. (bug #987654)
## app-misc/some-package

#--- END OF EXAMPLES ---

# Hans de Graaff <graaff@gentoo.org> (2020-05023)
# Masked for removal in 30 days.
# Not useful anymore now that metasploit has been removed.
app-eselect/eselect-metasploit

# Christoph Junghans <junghans@gentoo.org> (2020-05-19)
# multiple vulnerabilities (CVE-2019-{3463,3464,1000018})
# bug #699842. Masked for removal in 30 days.
app-shells/rssh

# Andreas Sturmlechner <asturm@gentoo.org> (2020-05-19)
# Stuck on Python 2 and pygtk, last revdep on dev-python/matplotlib[gtk2],
# last release in 2011, bug #705650. Masked for removal in 30 days.
sci-chemistry/nmrdepaker

# Michał Górny <mgorny@gentoo.org> (2020-05-18)
# Unmaintained and vulnerable.  Last commit in 2015.  Stuck on Python 2.
# All reverse dependencies removed restkit support upstream.
# Removal in 30 days.  Bug #544228.
dev-python/restkit

# Andreas Sturmlechner <asturm@gentoo.org> (2020-05-17)
# Depends on deprecated x11-libs/pangox-compat, commercial software that
# since 2017 does no longer support Linux. Bugs #694920, #720848
# Masked for removal in 30 days.
app-i18n/atokx3

# Michał Górny <mgorny@gentoo.org> (2020-05-15)
# Dead split packages from the dead PEAK project.  All but one had last
# release in 2010 or earlier, bytecodeassembler had one bugfix release
# in 2017.  They're all stuck on Python 2 and have no reverse
# dependencies except one another.
# Removal in 30 days.  Bug #723290.
dev-python/addons
dev-python/bytecodeassembler
dev-python/decoratortools
dev-python/extremes
dev-python/importing
dev-python/peak-rules
dev-python/pyprotocols
dev-python/symboltype

# Aaron W. Swenson <titanofold@gentoo.org> (2020-05-15)
# PostgreSQL 9.4 series is EOL. Migrate your database cluster to a more recent
# version.
# Removal after 2020-06-14.
<dev-db/postgresql-9.5

# Georgy Yakovlev <gyakovlev@gentoo.org> (2020-05-14)
# Unsupported releases with known security issues
# Please migrate to zfs-0.8.x
# Removal of old versions in 30 days. Bug #723120
<sys-fs/zfs-0.8.3
<sys-fs/zfs-kmod-0.8.3
sys-kernel/spl

# Stephan Hartmann <stha09@googlemail.com> (2020-05-20)
# Dev channel releases are only for people who
# are developers or want more experimental features
# and accept a more unstable release.
>=www-client/chromium-84

# Amadeusz Żołnowski <aidecoe@gentoo.org> (2020-05-11)
# Masked for removal in 30 days.  Unmaintained upstream.
sys-boot/plymouth-openrc-plugin

# William Hubbs <williamh@gentoo.org> (2020-05-11)
# No reverse dependencies, upstream has superseeded this with the
# ggoogle.golang.org/protobuf module.
# Removal in 30 days. Bug #722542.
dev-go/go-protobuf

# Michał Górny <mgorny@gentoo.org> (2020-05-11)
# Causes downgrades of multiple Python packages.  Not touched since
# initial commit, waiting for a bump to the final release.  Maintainer
# unresponsive.  Upstream recommends installing in a virtualenv.
# Removal in 30 days.  Bug #710406.
acct-group/octoprint
acct-user/octoprint
www-apps/octoprint

# Brian Dolbec <dolsen@gentoo.org> (2020-05-08)
# Unmaintained.  Stuck on Python 3.6.  The only revdep
# is masked for removal.  Newer buildbot no longer depends on it.
# Removal in 30 days.  Bug #719518.
dev-python/ramlfications

# Matt Turner <mattst88@gentoo.org> (2020-05-08)
# Client-side library for an X extension that has not been supported by Xorg
# for about a decade. Masked for removal in 30 days. Bug #720150
x11-libs/libXxf86misc

# Andreas Sturmlechner <asturm@gentoo.org> (2020-05-03)
# Last release in 2015, not compatible with >=media-gfx/gimp-2.10.0
# Masked for removal in 30 days.
media-plugins/gimp-lensfun

# Piotr Karbowski <slashbeast@gentoo.org> (2020-05-03)
# Obsolete input drivers, use x11-drivers/xf86-input-libinput
# or x11-drivers/xf86-input-evdev instead.
# Removal in 30 days.
x11-drivers/xf86-input-keyboard
x11-drivers/xf86-input-mouse

# Andreas K. Hüttel <dilfridge@gentoo.org> (2020-05-02)
# Included in recent texlive versions. Please uninstall.
# Removal in 30 days.
dev-tex/revtex

# Andreas Sturmlechner <asturm@gentoo.org> (2020-05-01)
# Currently packaged release from 2015, needs maintainer + bump. Bug #720346
# Stuck on Python 2 and pygtk. Masked for removal in 30 days.
app-mobilephone/ganyremote

# Andreas Sturmlechner <asturm@gentoo.org> (2020-05-01)
# Last release in 2018, wip/gtk3 branch untouched since 2017. Bug #598906
# Stuck on Python 2 and pygtk. Masked for removal in 30 days.
app-office/pybliographer
dev-python/python-bibtex

# Thomas Deutschmann <whissi@gentoo.org> (2020-04-30)
# Requires <OpenSSL-1.1.x. Please migrate to
# >=dev-db/mysql-5.7. Masked for removal in 30 days.
<dev-db/mysql-5.7

# Matt Turner <mattst88@gentoo.org> (2020-04-30)
# Unmaintained. Blocks removal of other dead packages. No Python3 support.
# Masked for removal in 30 days. Bug #720190
gnome-extra/cinnamon
gnome-extra/cinnamon-control-center
gnome-extra/cinnamon-desktop
gnome-extra/cinnamon-menus
gnome-extra/cinnamon-screensaver
gnome-extra/cinnamon-session
gnome-extra/cinnamon-settings-daemon
gnome-extra/cinnamon-translations
gnome-extra/cjs
gnome-extra/nemo
x11-wm/muffin
=dev-python/xapp-1.0.1-r2

# Bernard Cafarelli <voyageur@gentoo.org> (2020-04-30)
# Does not compile with latest windowmaker, bug #717418
# Last release in 2007. Masked for removal in 30 days.
x11-plugins/fsviewer

# Bernard Cafarelli <voyageur@gentoo.org> (2020-04-30)
# Does not compile with latest windowmaker, bug #716890
# Last release in 2007. Masked for removal in 30 days.
x11-misc/wmakerconf

# Andreas Sturmlechner <asturm@gentoo.org> (2020-04-30)
# Py3 porting "not in the near future", bug #708152
# Stuck on Python 2 and pygtk. Masked for removal in 30 days.
net-firewall/ufw-frontends

# Andreas Sturmlechner <asturm@gentoo.org> (2020-04-30)
# Maintainer timeout, unmaintained upstream, last release unknown, bug #708144
# Stuck on Python 2 and pygtk. Masked for removal in 30 days.
x11-misc/wbarconf

# Andreas Sturmlechner <asturm@gentoo.org> (2020-04-30)
# Maintainer timeout, unmaintained upstream, last release in 2005, bug #708138
# Stuck on Python 2 and pygtk. Masked for removal in 30 days.
x11-misc/icewmcp

# Andreas Sturmlechner <asturm@gentoo.org> (2020-04-30)
# Maintainer timeout, unmaintained upstream, last release in 2010, bug #708128
# Stuck on Python 2 and pygtk. Masked for removal in 30 days.
dev-embedded/pk2-la

# Andreas Sturmlechner <asturm@gentoo.org> (2020-04-30)
# Maintainer timeout, unmaintained upstream, last release unknown, bug #708122
# Stuck on Python 2 and pygtk. Masked for removal in 30 days.
app-misc/metromap

# Andreas Sturmlechner <asturm@gentoo.org> (2020-04-30)
# Maintainer timeout, unmaintained upstream, last release in 2011, bug #708114
# Stuck on Python 2 and pygtk. Masked for removal in 30 days.
app-laptop/batti

# Andreas Sturmlechner <asturm@gentoo.org> (2020-04-30)
# Maintainer timeout, unmaintained upstream, last release in 2009, bug #708068
# Stuck on Python 2 and pygtk. Masked for removal in 30 days.
sys-fs/pysize

# Matt Turner <mattst88@gentoo.org> (2020-04-29)
# Masked for testing
>=dev-libs/gjs-1.64

# Mikle Kolyada <zlogene@gentoo.org> (2020-04-28)
# Dead upstream. Removal in 30 days
sys-cluster/openais

# Jonas Stein <jstein@gentoo.org> (2020-04-28)
# Package is no longer required after the removal of
# net-irc/quassel-irssi. See also bug #719856.
# Remove after 2020-06-28
net-libs/quasselc

# Jonas Stein <jstein@gentoo.org> (2020-04-28)
# Upstream stopped development. Package should depend on
# <net-irc/quassel-0.13 which is no longer in the tree.
# Bug #719728
# Remove after 2020-05-28
net-irc/quassel-irssi

# Michał Górny <mgorny@gentoo.org> (2020-04-27)
# Unmaintained.  Unresolved breakage with py3.8 for almost a year.
# Python upstream included some async testing support in py3.8 too.
# No revdeps.
# Removal in 30 days.  Bug #719746.
dev-python/asynctest

# Zac Medico <zmedico@gentoo.org> (2020-04-26)
# Stuck on py3.6.  No revdeps.
# Removal in 30 days.  Bug #719540.
dev-python/riak-python-client

# Zac Medico <zmedico@gentoo.org> (2020-04-26)
# Stuck on py3.6.  No revdeps.
# Removal in 30 days.  Bug #718904.
dev-python/flower

# Sam James <sam@cmpct.info> (2020-04-24)
# Out of date with security bugs.
# Please use www-client/seamonkey instead.
# Removal in 30 days. Bug #718738.
www-client/seamonkey-bin

# Zac Medico <zmedico@gentoo.org> (2020-04-26)
# Mask obsolete and vulnerable dev-go/go-crypto, along with obsolete
# reverse dependencies. Removal in 30 days.  Bug #710142.
dev-go/go-crypto
dev-go/go-net
dev-go/go-sys
=dev-embedded/arduino-builder-1.4.1

# Michał Górny <mgorny@gentoo.org> (2020-04-26)
# Unmaintained.  Stuck on py3.6.  Missing tests (but having an unused
# test flag!).  The only revdep is app-admin/ara that is masked
# for removal already.
# Removal in 30 days.  Bug #719660.
dev-python/xstatic
dev-python/xstatic-bootstrap-scss
dev-python/xstatic-datatables
dev-python/xstatic-jquery
dev-python/xstatic-patternfly
dev-python/xstatic-patternfly-bootstrap-treeview

# Michał Górny <mgorny@gentoo.org> (2020-04-26)
# Stuck on py3.6.  Failing tests.  No revdeps.
# Removal in 30 days.  Bug #639520.
dev-python/versiontools

# Michał Górny <mgorny@gentoo.org> (2020-04-26)
# Stuck on py3.6.  Missing tests.  No revdeps.
# Removal in 30 days.  Bug #719616.
dev-python/utmp

# Michał Górny <mgorny@gentoo.org> (2020-04-26)
# Unmaintained.  Stuck on Python 3.6.  No revdeps.
# Removal in 30 days.  Bug #719604.
dev-python/txtorcon

# Michał Górny <mgorny@gentoo.org> (2020-04-26)
# Stuck on Python 3.6.  Missing tests.  No revdeps.
# Removal in 30 days.  Bug #719568.
dev-python/sphinxcontrib-googleanalytics

# Michał Górny <mgorny@gentoo.org> (2020-04-26)
# Unmaintained.  Stuck on py3.6.  Missing tests.  No revdeps.
# Removal in 30 days.  Bug #719548.
dev-python/sdnotify

# Michał Górny <mgorny@gentoo.org> (2020-04-26)
# Unmaintained.  Stuck on py3.6.  Missing tests.  No revdeps.
# Removal in 30 days.  Bug #719546.
dev-python/scoop

# Michał Górny <mgorny@gentoo.org> (2020-04-26)
# Unmaintained.  Stuck on Python 3.6.  No tests.  No revdeps.
# Removal in 30 days.  Bug #719504.
dev-python/pythonmagick

# Michał Górny <mgorny@gentoo.org> (2020-04-26)
# Unmaintained.  djvusmooth is stuck on py2, python-djvulibre on py3.6.
# Unresolved test failures.  No other revdeps.
# Removal in 30 days.  Bug #719488.
app-text/djvusmooth
dev-python/python-djvulibre

# Michał Górny <mgorny@gentoo.org> (2020-04-25)
# Unmaintained.  Stuck on py3.6.  Tests missing.  The only revdep masked
# for removal.
# Removal in 30 days.  Bug #719432.
dev-python/pyswisseph

# Michał Górny <mgorny@gentoo.org> (2020-04-25)
# Stuck on py3.6.  Missing tests.  No revdeps.
# Removal in 30 days.  Bug #719424.
dev-python/pyodbc

# Michał Górny <mgorny@gentoo.org> (2020-04-25)
# Unmaintained.  Stuck on Python 3.6.  Missing tests.  The only revdep
# is masked for removal.
# alternative package is dev-python/pypugjs which is a maintained fork of pyjade
# Removal in 30 days.  Bug #719418.
dev-python/pyjade

# Michał Górny <mgorny@gentoo.org> (2020-04-25)
# Unmaintained.  Stuck on Python 3.6.  Tests require direct hardware
# access.  Ebuild broken.  No revdeps.
# Removal in 30 days.  Bug #719380.
dev-python/pyalsaaudio

# Michał Górny <mgorny@gentoo.org> (2020-04-25)
# Unused plugin for dead dev-python/nose.  No revdeps.
# Removal in 30 days.  Bug #719280.
dev-python/nose-descriptionfixer

# Michał Górny <mgorny@gentoo.org> (2020-04-25)
# Last release in 2012.  Stuck on py3.6.  Missing tests.  No revdeps.
# Removal in 30 days.  Bug #719362.
dev-python/placefinder

# Michał Górny <mgorny@gentoo.org> (2020-04-25)
# Old transitional package.  No revdeps.
# Removal in 30 days.  Bug #719360.
dev-python/pillowfight

# Michał Górny <mgorny@gentoo.org> (2020-04-25)
# Stuck on Python 3.6.  Missing tests.  No revdeps.
# Removal in 30 days.  Bug #719356.
dev-python/pgpdump

# Michał Górny <mgorny@gentoo.org> (2020-04-25)
# Stuck on py3.6.  Missing tests.  No revdeps.
# Removal in 30 days.  Bug #719352.
dev-python/patch

# Michał Górny <mgorny@gentoo.org> (2020-04-25)
# Stuck on py3.6.  Broken tests.  The only revdep last rited.
# Removal in 30 days.  Bug #719350.
dev-python/pastescript

# Michał Górny <mgorny@gentoo.org> (2020-04-25)
# Stuck on Python 2.  Last release in 2008.  The only revdep is probably
# wrong and last rited anyway.
# Removal in 30 days.  Bug #719348.
dev-python/dap

# Michał Górny <mgorny@gentoo.org> (2020-04-24)
# Unmaintained.  Stuck at py3.6.  Missing tests.  No revdeps.
# Removal in 30 days.  Bug #719298.
dev-python/parsley

# Michał Górny <mgorny@gentoo.org> (2020-04-24)
# Unmaintained.  Stuck at py3.6.  Missing tests.  No revdeps.
# Removal in 30 days.  Bug #719296.
dev-python/paramunittest

# Michał Górny <mgorny@gentoo.org> (2020-04-24)
# Stuck on Python 2.  Last release of obmenu in 2006, obtheme in 2013.
# Require dead dev-python/pygtk.
# Removal in 30 days.  Bug #708140.
x11-misc/obmenu
x11-misc/obtheme

# Jonas Stein <jstein@gentoo.org> (2020-04-24)
# Fails to install. Bug #154735
# Developers do not have access to the cd.
# Remove after 2020-05-24
games-action/rune

# Michał Górny <mgorny@gentoo.org> (2020-04-23)
# Unmaintained.  Stuck on Python 3.6.  No revdeps.
# Removal in 30 days.  Bug #719040.
dev-python/kivy-garden

# Michał Górny <mgorny@gentoo.org> (2020-04-23)
# Unmaintained.  Stuck on Python 3.6.  No revdeps.
# Removal in 30 days.  Bug #718848.
dev-python/PyDbLite

# Michał Górny <mgorny@gentoo.org> (2020-04-23)
# Unmaintained.  Stuck on Python 2.
# Removal in 30 days.  Bug #713366.
app-backup/bup
app-backup/kup

# Michał Górny <mgorny@gentoo.org> (2020-04-23)
# Effectively unmaintained.  Stuck on Python 3.6, broken with 3.8.
# The only revdep is masked for removal.
# Removal in 30 days.  Bug #719008.
dev-python/junit-xml

# Michał Górny <mgorny@gentoo.org> (2020-04-23)
# Unmaintained.  Stuck on Python 3.6.  Nose plugin with no revdeps.
# Removal in 30 days.  Bug #719000.
dev-python/ipdbplugin

# Michał Górny <mgorny@gentoo.org> (2020-04-22)
# Unmaintained.  Stuck at Python 3.6.  The only revdep last rited.
# Removal in 30 days.  Bug #718896.
dev-python/cligj

# Michał Górny <mgorny@gentoo.org> (2020-04-22)
# Unmaintained.  Stuck at Python 3.6.  The only revdep was last rited
# already.
# Removal in 30 days.  Bug #718854.
dev-python/URLObject

# Michał Górny <mgorny@gentoo.org> (2020-04-22)
# Effectively unmaintained and stuck on Python 3.6.
#
# dev-python/bokeh does not work because of missing dependencies
# (bug #607778).  It has no reverse dependencies
#
# dev-python/flexx tries to fetch data from Internet during build.
# Its only revdep is dev-python/bokeh.
#
# Removal in 30 days.  Bug #607778.
dev-python/bokeh
dev-python/flexx

# Michał Górny <mgorny@gentoo.org> (2020-04-22)
# Unmaintained.  After adding tests, it turns out it's completely
# broken (can't find magic file).
# Removal in 30 days.  Bug #718822.
dev-python/filemagic

# Michał Górny <mgorny@gentoo.org> (2020-04-21)
# Unmaintained.  Stuck on Python 3.6.  Missing tests.  Bad quality
# package.  No revdeps.
# Removal in 30 days.  Bug #718744.
dev-python/django-spurl

# Michał Górny <mgorny@gentoo.org> (2020-04-21)
# Unmaintained.  Last commit in 2016.  Upstream bugtracker indicates it
# doesn't support current dev-python/django versions.  No revdeps.
# Removal in 30 days.  Bug #718734.
dev-python/django-setuptest

# Michał Górny <mgorny@gentoo.org> (2020-04-21)
# Django has a native DurationField since 1.8.  No revdeps.
# Removal in 30 days.  Bug #718724.
dev-python/django-durationfield

# Michał Górny <mgorny@gentoo.org> (2020-04-20)
# Stuck on Python 3.6.  Last release in 2012.  No revdeps.
# dev-python/lxml is the recommended XML handling package.
# Removal in 30 days.  Bug #718646.
dev-python/dexml

# Michał Górny <mgorny@gentoo.org> (2020-04-20)
# Stuck on Python 3.6.  Relies on 2to3.  Last release in 2015.
# No revdeps.  'json' is built-in in all modern Python versions.
# Removal in 30 days.  Bug #718638.
dev-python/demjson

# Louis Sautier <sbraz@gentoo.org> (2020-04-20)
# No revdeps, no release in 3 years, doesn't support Bootstrap 4.
# Removal in 30 days. Bug #718832
dev-python/flask-bootstrap

# Michał Górny <mgorny@gentoo.org> (2020-04-20)
# Effectively unmaintained.  Stuck on Python 2 and pygtk.  Last bumped
# in 2014.
# Removal in 30 days.  Bug #708168.
media-video/griffith

# Michał Górny <mgorny@gentoo.org> (2020-04-20)
# Unmaintained.  Stuck on Python 2.  rst2pdf depends on dev-python/pdfrw
# that is dead and broken with py3.7+.  svg2rlg is only used by pdfrw.
# Removal in 30 days.  Bug #718572.
dev-python/rst2pdf
media-gfx/svg2rlg

# Michael Orlitzky <mjo@gentoo.org> (2020-04-19)
# Stuck on Python 3.6, support for which already required
# backporting patches to a release from 2014. Upstream's git
# HEAD works fine, but they can't be bothered to make a new
# release. Bug 718326. Removal whenever it becomes an issue.
mail-filter/pyzor

# Michał Górny <mgorny@gentoo.org> (2020-04-19)
# Unmaintained.  Stuck on Python 3.6.
# Removal in 30 days.  Bug #718530.
sys-boot/raspberrypi-mkimage

# Michał Górny <mgorny@gentoo.org> (2020-04-19)
# Unmaintained.  Stuck on Python 3.6.  Some releases behind.
# Removal in 30 days.  Bug #718498.
sci-libs/Fiona

# Michał Górny <mgorny@gentoo.org> (2020-04-19)
# Unmaintained.  Stuck on Python 3.6.
# Removal in 30 days.  Bug #718488.
sci-geosciences/seawater

# Michał Górny <mgorny@gentoo.org> (2020-04-19)
# Unmaintained.  Stuck on Python 3.6.  Numerous releases behind.
# Removal in 30 days.  Bug #718486.
sci-geosciences/gpxpy

# Michał Górny <mgorny@gentoo.org> (2020-04-19)
# Unmaintained.  Stuck on Python 3.6.  Needs version bump.
# Removal in 30 days.  Bug #718458.
net-proxy/mitmproxy

# Michał Górny <mgorny@gentoo.org> (2020-04-19)
# Unmaintained.  Stuck on Python 3.6.
# Removal in 30 days.  Bug #718452.
net-misc/trackma

# Michał Górny <mgorny@gentoo.org> (2020-04-19)
# Unmaintained.  Stuck on Python 3.6.  In need of bump since 2016.
# Removal in 30 days.  Bug #718426.
net-analyzer/ripe-atlas-tools
net-libs/ripe-atlas-sagan
www-client/ripe-atlas-cousteau

# Michał Górny <mgorny@gentoo.org> (2020-04-19)
# Unmaintained.  Stuck on Python 3.6.  Last release in 2016.
# Removal in 30 days.  Bug #718410.
media-video/subliminal

# Michał Górny <mgorny@gentoo.org> (2020-04-19)
# Unmaintained.  Stuck on Python 3.6.  Last release in 2014.
# Removal in 30 days.  Bug #718402.
media-sound/lyvi

# Michał Górny <mgorny@gentoo.org> (2020-04-19)
# Unmaintained.  Stuck on Python 3.6.  Has a few bugs reported,
# including indication of poor ebuild state.
# Removal in 30 days.  Bug #718398.
media-sound/beets

# Michał Górny <mgorny@gentoo.org> (2020-04-19)
# Unmaintained.  Stuck on Python 3.6.  No revdeps.  Last release
# in 2016.
# Removal in 30 days.  Bug #718340.
media-gfx/qrencode-python

# Michał Górny <mgorny@gentoo.org> (2020-04-19)
# Unmaintained.  Stuck on Python 3.6.
# Removal in 30 days.  Bug #718308.
dev-vcs/git-imerge

# Michał Górny <mgorny@gentoo.org> (2020-04-19)
# Unmaintained.  Stuck at Python 3.6.  Many versions behind upstream.
# Removal in 30 days.  Bug #718300.
dev-vcs/ghp-import

# Michał Górny <mgorny@gentoo.org> (2020-04-19)
# Unmaintained.  Stuck on Python 3.6.  A few releases behind upstream.
# Removal in 30 days.  Bug #718296.
dev-util/spec-cleaner

# Michał Górny <mgorny@gentoo.org> (2020-04-19)
# Unmaintained.  Stuck on Python 3.6.  Missing tests.  No revdeps.
# Removal in 30 days.  Bug #718288.
dev-util/bumpversion

# Michał Górny <mgorny@gentoo.org> (2020-04-19)
# Unmaintained.  Stuck on Python 3.6.  A few releases behind upstream.
# Removal in 30 days.  Bug #718268.
app-text/doconce

# Michał Górny <mgorny@gentoo.org> (2020-04-19)
# Unmaintained.  Stuck on Python 3.6.
# Removal in 30 days.  Bug #718238.
app-misc/openastro
app-misc/openastro-data

# Georgy Yakovlev <gyakovlev@gentoo.org> (2020-04-18)
# Unmaintained, vulnerable oracle java ebuilds, even fetching distfiles
# requires agreement to restrictive license
# Revdeps that still depend on oracle variants require javafx
# javafx package  for icedtea or openjdk is in the works and
# will be commited before oracle-jdk is removed.
# Oracle JDK Removal in 30 days.
# Packages will get unmasked after switch to openjfx.
# https://bugs.gentoo.org/681828
dev-java/oracle-jdk-bin
dev-java/oracle-jre-bin
app-text/jabref-bin
dev-java/netbeans-platform
dev-java/netbeans-harness
games-util/pogo-manager-bin
net-p2p/bisq
sci-mathematics/geogebra

# Matt Turner <mattst88@gentoo.org> (2020-04-12)
# In conjunction with Firefox's sandbox, breaks loading of i965 driver.
# Bug #716574
=x11-libs/libdrm-2.4.101

# Lars Wendler <polynomial-c@gentoo.org> (2020-04-02)
# Introduced new privsep (chroot) feature. Masked for testing.
>=net-misc/dhcpcd-9.0.0

# Michał Górny <mgorny@gentoo.org> (2020-03-29)
# Unmaintained, seriously outdated, vulnerable.  Multiple bugs reported.
# Stuck on Python 3.6.
# Removal in 30 days.  Bug #711702.
app-metrics/buildbot-prometheus
<dev-util/buildbot-2.7.0
<dev-util/buildbot-console-view-2.7.0
<dev-util/buildbot-grid-view-2.7.0
<dev-util/buildbot-pkg-2.7.0
<dev-util/buildbot-waterfall-view-2.7.0
<dev-util/buildbot-worker-2.7.0
<dev-util/buildbot-wsgi-dashboards-2.7.0
<dev-util/buildbot-www-2.7.0

# Joshua Kinard <kumba@gentoo.org> (2020-03-28)
# In Linux ~4.18, IPX (Internetwork Packet eXchange) protocol and
# NCPFS (NetWare Core Protocol Filesystem) support was removed due
# to lack of maintenance.  Due to both being dead from a technology
# standpoint and lack of any upstream activity, mask the below
# packages and remove in 75 days.
# Bug #681820
net-fs/ncpfs
net-misc/ipx-utils

# Georgy Yakovlev <gyakovlev@gentoo.org> (2020-03-27)
# Vulnerable old version of icedtea-web #711392
# new version is not packaged yet
# package is not going away anytime soon, just masked
# for security. unmask as needed.
dev-java/icedtea-web

# Michał Górny <mgorny@gentoo.org> (2020-03-26)
# dev-python/aiohttp-cors is dead upstream and does not support
# Python 3.7 and newer.
#
# net-misc/gns3-* are effectively unmaintained and stuck with py3.6.
# gns3-server is the only revdep of aiohttp-cors, as well as the only
# blocker for removal of old dev-python/{aiohttp,async_timeout}
# (bug #714840).  Some of those issues might be fixed by a version bump
# that's pending for a long time (bug #688016) but not aiohttp-cors dep.
#
# Removal in 30 days.  Bug #712964.
net-misc/gns3-converter
net-misc/gns3-gui
net-misc/gns3-server

# Andreas Sturmlechner <asturm@gentoo.org> (2020-03-14)
# Breaks at least dev-games/simgear right now, bug #709878.
~dev-games/openscenegraph-3.6.5

# Mart Raudsepp <leio@gentoo.org> (2020-03-13)
# Masked for testing due to split of libnma needing migration
# and 1.8.25 being an old development release
>=gnome-extra/nm-applet-1.8.25

# Matt Turner <mattst88@gentoo.org> (2020-03-11)
# Masked for testing due to removal of libnm-glib (bug #665338)
>=net-misc/networkmanager-1.20

# Eray Aslan <eras@gentoo.org> (2020-03-09)
# Mask experimental software
=mail-mta/postfix-3.6*

# Miroslav Šulc <fordfrog@gentoo.org> (2020-02-27)
# Depends on dev-java/eclipse-ecj:4.13 which
# depends on >=virtual/{jdk,jre}-11 which is masked
www-servers/tomcat:9

# Mart Raudsepp <leio@gentoo.org> (2020-02-16)
# Fails to automatically launch pipewire for me. Help welcome figuring it out.
net-misc/gnome-remote-desktop

# Stefan Strogin <steils@gentoo.org> (2020-02-12)
# Mask for testing revdeps.
>=dev-games/mygui-3.4.0

# Patrick McLean <chutzpah@gentoo.org> (2020-02-07)
# Mask until sys-libs/libxcrypt[system] is unmasked
>=virtual/libcrypt-2

# Mart Raudsepp <leio@gentoo.org> (2020-02-03)
# Known breakages that need to be handled first, bug 698922
>=x11-libs/pango-1.43

# Robin H. Johnson <robbat2@gentoo.org> (2020-01-26)
# EAPI conversion caused some regressions, need to redesign old ebuilds.
=dev-lang/lua-5.1.5-r5

# Andrew Ammerlaan <andrewammerlaan@riseup.net> (2020-01-26)
# Proxy Maintainers <proxy-maint@gentoo.org>
# v3.6.4 uses huge amounts of memory: Bug #705682
# v3.6.1 is the latest version without this issue
>=dev-libs/libsass-3.6.2

# Georgy Yakovlev <gyakovlev@gentoo.org> (2020-01-26)
# Starting with Firefox 74 Mozilla removes xpi sideloading support
# install from addons.mozilla.org
# passff-host remains in the tree
www-plugins/passff

# Victor Payno <vpayno+gentoo@gmail.com> (2020-01-23)
# Requires slotted lua.
=dev-lang/lua-5.1.5-r103
=dev-lang/lua-5.2.4-r2
=dev-lang/lua-5.3.5-r2

# Michał Górny <mgorny@gentoo.org> (2020-01-16)
# The new version loses Python 2 support but does not introduce any real
# changes.  Let's mask it to reduce the noise, and hopefully try to get
# python2_7 out of default PYTHON_TARGETS first.
~dev-python/setuptools-46.1.3

# Ulrich Müller <ulm@gentoo.org> (2020-01-06)
# Snapshots from Git and pretest versions, masked for testing.
=app-editors/emacs-27.0.50_pre*
~app-editors/emacs-27.0.90

# David Seifert <soap@gentoo.org> (2019-12-08)
# Unmaintained, build hangs, tons of other build failures, missing
# dependencies.  Bug #663794, #666916, #666922, #667062, #678068,
# #681678, #684420, #694488. Removal in 30 days.
dev-db/clickhouse

# Lars Wendler <polynomial-c@gentoo.org> (2019-11-14)
# Breaks archives containing relative paths
# when being called with --no-absolute-filenames
# https://bugs.gentoo.org/700020
=app-arch/cpio-2.13

# Michał Górny <mgorny@gentoo.org> (2019-10-20)
# Testing version that breaks multiple plugins.  Let's keep it masked
# until upstream releases fixed versions.
~xfce-base/xfce4-panel-4.15.2

# Lars Wendler <polynomial-c@gentoo.org> (2019-10-16)
# Depends on apache-2.2
dev-libs/OpenSRF

# Miroslav Šulc <fordfrog@gentoo.org> (2019-10-16)
# Depends on >=virtual/{jdk,jre}-11 which is masked
dev-java/ant-eclipse-ecj:4.13
dev-java/eclipse-ecj:4.13

# Stefan Strogin <steils@gentoo.org> (2019-09-27)
# Requires >=dev-lang/lua-5.3 which is masked
>=dev-util/bam-0.5.0

# Matt Turner <mattst88@gentoo.org> (2019-09-01)
# TeXmacs is the only remaining package in tree that requires guile-1.8, which
# is unsupported upstream. A TeXmacs port to Guile-2 has been in progress for a
# few years. Bug #436400
app-office/texmacs
<dev-scheme/guile-2

# Robin H. Johnson <robbat2@gentoo.org> (2019-07-08)
# Needs LOTS of testing, broke boot on my laptop in early attempts, maybe needs
# matching genkernel work?
>=sys-fs/lvm2-2.03

# Daniel Pielmeier <billie@gentoo.org> (2019-07-06)
# Requires >=dev-lang/lua-5.2 which is masked
>=app-admin/conky-1.11.4

# Georgy Yakovlev <gyakovlev@gentoo.org> (2019-04-17)
# The Oracle JDK License has changed for releases starting 2019-04-16
# While it may be fine to use for some usecases it's not comepletely clear
# what is considered "personal use" and if we can legally distribute it.
# License states:
# "You may not:
# make the Programs available in any manner to any third party"
# masking all future versions, removal will follow soon.
# Alternatives: icedtea, icedtea-bin, openjdk, openjdk-bin, openjdk-jre-bin
# Bug: https://bugs.gentoo.org/681828
>dev-java/oracle-jdk-bin-1.8.0.202:1.8
>dev-java/oracle-jre-bin-1.8.0.202:1.8

# Robin H. Johnson <robbat2@gentoo.org> (2019-03-25)
# Requires >=dev-lang/lua-5.3 which is masked
sys-apps/likwid

# Matt Turner <mattst88@gentoo.org> (2019-03-16)
# Previously packaged drivers, now removed from Gentoo.
# Keep this mask in place so users are aware, but can also easily unmask them
# in an overlay if so desired.
x11-drivers/xf86-input-citron
x11-drivers/xf86-video-apm
x11-drivers/xf86-video-ark
x11-drivers/xf86-video-chips
x11-drivers/xf86-video-cirrus
x11-drivers/xf86-video-cyrix
x11-drivers/xf86-video-i128
x11-drivers/xf86-video-i740
x11-drivers/xf86-video-impact
x11-drivers/xf86-video-mach64
x11-drivers/xf86-video-neomagic
x11-drivers/xf86-video-newport
x11-drivers/xf86-video-nsc
x11-drivers/xf86-video-rendition
x11-drivers/xf86-video-s3
x11-drivers/xf86-video-s3virge
x11-drivers/xf86-video-savage
x11-drivers/xf86-video-sis
x11-drivers/xf86-video-sisusb
x11-drivers/xf86-video-sunbw2
x11-drivers/xf86-video-suncg14
x11-drivers/xf86-video-suncg3
x11-drivers/xf86-video-suncg6
x11-drivers/xf86-video-sunffb
x11-drivers/xf86-video-sunleo
x11-drivers/xf86-video-suntcx
x11-drivers/xf86-video-tdfx
x11-drivers/xf86-video-tga
x11-drivers/xf86-video-trident
x11-drivers/xf86-video-tseng
x11-drivers/xf86-video-voodoo

# Miroslav Šulc <fordfrog@gentoo.org> (2019-01-23)
# Depends on >=virtual/{jdk,jre}-11 which is masked
dev-java/ant-eclipse-ecj:4.10
dev-java/eclipse-ecj:4.10

# Thomas Deutschmann <whissi@gentoo.org> (2018-12-10)
# Requires >=dev-lang/lua-5.2 which is masked
>=app-admin/lsyncd-2.2.3

# Andreas Sturmlechner <asturm@gentoo.org> (2018-11-25)
# Masked per security vulnerability CVE-2018-14345, bug #661510
# Keeping it masked while users have unsolved issues with >0.15.0.
<x11-misc/sddm-0.18.0

# Ian Stakenvicius <axs@gentoo.org> (2018-11-07)
# on behalf of Mozilla Project <mozilla@gentoo.org>
# Mask old/vuln thunderbird for removal by 2019,
# see security bug 670102
<mail-client/thunderbird-60.0
<mail-client/thunderbird-bin-60.0

# Thomas Deutschmann <whissi@gentoo.org> (2018-10-12)
# EOL and has known vulnerabilities. Please move to
# Firefox 60 or newer if you can.
<www-client/firefox-60
<www-client/firefox-bin-60

# Andreas Sturmlechner <asturm@gentoo.org> (2018-10-07)
# Masked for more testing especially of reverse-deps.
>=dev-games/ogre-1.11.2

# Andreas K. Hüttel <dilfridge@gentoo.org> (2018-09-11)
# Mask transition ebuilds that were needed only for <glibc-2.26
# We will keep them in the tree as long as we have masked
# <glibc-2.26.
~net-libs/libnsl-0
~net-libs/rpcsvc-proto-0

# James Le Cuirot <chewi@gentoo.org> (2017-12-17)
# Java 9+ is not yet fully supported on Gentoo. Packages cannot depend
# on it so these virtuals are not yet required. If you wish to use
# Java 9+ then install oracle-(jdk|jre)-bin or openjdk(-bin) directly.
virtual/jdk:11
virtual/jre:11

# Andreas K. Hüttel <dilfridge@gentoo.org> (2017-10-18)
# sys-devel/automake versions 1.4, 1.5, 1.6, 1.7, 1.8
# have known security vulnerabilities, are broken with
# recent Perl (>=5.26.0), and are not used by anything in
# the Gentoo repository. Please uninstall.
sys-devel/automake:1.4
sys-devel/automake:1.5
sys-devel/automake:1.6
sys-devel/automake:1.7
sys-devel/automake:1.8
sys-devel/automake:1.9
sys-devel/automake:1.10

# Nicolas Bock <nicolasbock@gentoo.org> (2017-10-31)
# There are multiple unresolved upstream issues with >=jabref-bin-4.0 (#636036).
# If you still would like to use this version, please report any issues to
# upstream.
>=app-text/jabref-bin-4.0

# Michał Górny <mgorny@gentoo.org> (2017-05-22)
# for Maciej S. Szmigiero <mail@maciej.szmigiero.name>
# Any version above 5.100.138 breaks b43 driver in various ways.
# Also, b43 wiki page says to use 5.100.138. Bug #541080.
>=sys-firmware/b43-firmware-6.30.163.46

# Michał Górny <mgorny@gentoo.org>, Andreas K. Hüttel <dilfridge@gentoo.org>,
# Matthias Maier <tamiko@gentoo.org> (2017-05-21 and later updates)
# These old versions of toolchain packages (binutils, gcc, glibc) are no
# longer officially supported and are not suitable for general use. Using
# these packages can result in build failures (and possible breakage) for
# many packages, and may leave your system vulnerable to known security
# exploits.
# If you still use one of these old toolchain packages, please upgrade (and
# switch the compiler / the binutils) ASAP. If you need them for a specific
# (isolated) use case, feel free to unmask them on your system.
<sys-devel/gcc-5.4
<sys-libs/glibc-2.30-r8
<sys-devel/binutils-2.33.1-r1
<sys-devel/binutils-hppa64-2.33.1
<sys-libs/binutils-libs-2.33.1-r1

# Michał Górny <mgorny@gentoo.org> (2017-05-20)
# Old versions of CUDA and their reverse dependencies. They do not
# support GCC 5+, and are really old.
# (updated 2017-12-27 with cuda < 8 because of gcc < 5 mask)
<dev-util/nvidia-cuda-sdk-8
<dev-util/nvidia-cuda-toolkit-8
net-wireless/cpyrit-cuda

# Michael Orlitzky <mjo@gentoo.org> (2017-01-07)
# This package has some dangerous quality and security issues, but
# people may still find it useful. It is masked to prevent accidental
# use. See bugs 603346 and 604998 for more information.
app-admin/amazon-ec2-init

# Robin H. Johnson <robbat2@gentoo.org> (2017-01-05)
# Masking for testing
=app-emulation/ganeti-2.16*
=app-emulation/ganeti-2.17*

# Michał Górny <mgorny@gentoo.org> (2016-11-17)
# New version masked for testing. It supports source-window buffer size
# over 2G but it 'currently performs 3-5% slower and has 1-2% worse
# compression'.
>=dev-util/xdelta-3.1.0

# Andreas K. Hüttel <dilfridge@gentoo.org> (2016-04-03)
# Can exhaust all available memory depending on task
# but is made available for experts who heed this warning
# as newer versions produce different output. Contact
# the proxied maintainer Matthew Brewer <tomboy64@sina.cn>
# for questions.
<=media-gfx/slic3r-1.1.9999

# Robin H. Johnson <robbat2@gentoo.org> (2014-08-04)
# Masked for testing, presently fails upstream testsuite:
# FAIL:07:02:35 (00:00:00) db_dump/db_load(./TESTDIR.3/recd001.db:child killed: kill signal): expected 0, got 1
# FAIL:07:02:35 (00:00:00) Dump/load of ./TESTDIR.3/recd001.db failed.
# FAIL:07:02:35 (00:00:00) db_verify_preop: expected 0, got 1
# Lars Wendler <polynomial-c@gentoo.org> (2019-01-25)
# Also masked because of mostly incompatible license (AGPL-3)
=sys-libs/db-6.1*
=sys-libs/db-6.2*
=sys-libs/db-18.1*

# Mikle Kolyada <zlogene@gentoo.org> (2014-06-27)
# Masked for proper testing. (Major updates in the code).
~dev-perl/PortageXS-0.2.12

# Matti Bickel <mabi@gentoo.org> (2014-04-22)
# Masked slotted lua for testing
# William Hubbs <williamh@gentoo.org> (2016-08-07)
# Taking this mask since Mabi is retired
# Rafael Martins <rafaelmartins@gentoo.org> (2016-12-04)
# Adding Lua 5.3 to mask
app-eselect/eselect-lua
=dev-lang/lua-5.1.5-r100
=dev-lang/lua-5.1.5-r101
=dev-lang/lua-5.1.5-r102
=dev-lang/lua-5.2.3
=dev-lang/lua-5.2.3-r1
=dev-lang/lua-5.2.3-r2
=dev-lang/lua-5.2.3-r3
=dev-lang/lua-5.2.4
=dev-lang/lua-5.2.4-r1
=dev-lang/lua-5.3.3
=dev-lang/lua-5.3.3-r1
=dev-lang/lua-5.3.3-r2
=dev-lang/lua-5.3.5
=dev-lang/lua-5.3.5-r1

# Samuli Suominen <ssuominen@gentoo.org> (2012-03-06)
# Masked for testing since this is known to break nearly
# every reverse dependency wrt bug 407091
>=dev-lang/lua-5.2.0

# Mike Gilbert <floppym@gentoo.org> (2014-03-04)
# Dev channel releases are only for people who are developers or want more
# experimental features and accept a more unstable release.
www-plugins/chrome-binary-plugins:unstable

# Diego E. Pettenò <flameeyes@gentoo.org> (2009-01-03)
# These packages are not supposed to be merged directly, instead
# please use sys-devel/crossdev to install them.
dev-util/mingw64-runtime
sys-libs/newlib
dev-embedded/avr-libc